SystemOutAndErrSwapper.TestOutputCapturingPrintStream (Grails 3.3.2)
Date: 2017-11-24

Package: org.grails.test.io

## [Groovy] Class TestOutputCapturingPrintStream

- org.grails.test.io.SystemOutAndErrSwapper.TestOutputCapturingPrintStream

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.io.BufferedWriter` | `textOut`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SystemOutAndErrSwapper.TestOutputCapturingPrintStream (java.io.PrintStream out)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `print(java.lang.Object o)`
    `` | `void` | `print(java.lang.String s)`
    `` | `void` | `println(java.lang.String s)`
    `` | `void` | `println(java.lang.Object o)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsConsolePrintStream` | `getTargetOut, print, print, println, println`
    `class java.io.PrintStream` | `java.io.PrintStream#println(double), java.io.PrintStream#println(float), java.io.PrintStream#println(long), java.io.PrintStream#println(java.lang.Object), java.io.PrintStream#println(java.lang.String), java.io.PrintStream#println([C), java.io.PrintStream#println(), java.io.PrintStream#println(boolean), java.io.PrintStream#println(char), java.io.PrintStream#println(int), java.io.PrintStream#append(java.lang.CharSequence), java.io.PrintStream#append(char), java.io.PrintStream#append(char), java.io.PrintStream#append(java.lang.CharSequence, int, int), java.io.PrintStream#append(java.lang.CharSequence, int, int), java.io.PrintStream#append(java.lang.CharSequence), java.io.PrintStream#format(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintStream#format(java.lang.String, [Ljava.lang.Object;), java.io.PrintStream#write(int), java.io.PrintStream#write([B, int, int), java.io.PrintStream#print(boolean), java.io.PrintStream#print(long), java.io.PrintStream#print(double), java.io.PrintStream#print(float), java.io.PrintStream#print(java.lang.Object), java.io.PrintStream#print(java.lang.String), java.io.PrintStream#print([C), java.io.PrintStream#print(char), java.io.PrintStream#print(int), java.io.PrintStream#flush(), java.io.PrintStream#close(), java.io.PrintStream#checkError(), java.io.PrintStream#printf(java.lang.String, [Ljava.lang.Object;), java.io.PrintStream#printf(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintStream#write([B), java.io.PrintStream#wait(long, int), java.io.PrintStream#wait(long), java.io.PrintStream#wait(), java.io.PrintStream#equals(java.lang.Object), java.io.PrintStream#toString(), java.io.PrintStream#hashCode(), java.io.PrintStream#getClass(), java.io.PrintStream#notify(), java.io.PrintStream#notifyAll()`

- - ### Property Detail

    - #### java.io.BufferedWriter textOut

  - ### Constructor Detail

    - #### SystemOutAndErrSwapper.TestOutputCapturingPrintStream(java.io.PrintStream out)

  - ### Method Detail

    - #### @java.lang.Override void print(java.lang.Object o)

    - #### @java.lang.Override void print(java.lang.String s)

    - #### @java.lang.Override void println(java.lang.String s)

    - #### @java.lang.Override void println(java.lang.Object o)